al_draw_spline(3)

NAME

al_draw_spline - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_spline(float points[8], ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws a Bézier spline given 4 control points.

Parameters:

•   points - An array of 4 pairs of coordinates of the 4 control points

•   color - Color of the spline

•   thickness - Thickness of the spline, pass <= 0 to draw a hairline spline

SEE ALSO

al_calculate_spline(3)